import React from 'react';
import { shallow } from 'enzyme';
import { reduxForm } from 'redux-form';

import GenericFields from './index';

describe('GenericFields', (): void => {
  it('should render without crashing', (): void => {
    const Wrapper = reduxForm({ form: 'test' })(
      (): JSX => (
        <GenericFields push={(): void => {}} fields={{ id: { type: 'string', label: 'label' } }} />
      ),
    );
    shallow(<Wrapper />);
  });
});
